Name:		flowscan
Version: 	1.006
Release:	14.36
License: 	GPL
Group: 		Productivity/Networking
Summary: 	FlowScan - Network Traffic Flow Visualization and Reporting Tool
URL: 		http://www.caida.org/tools/utilities/flowscan/
Source0: 	FlowScan-%{version}.tar.bz2
Source1:	%{name}.init
Source2:	sysconfig.%{name}
Patch0:		%{name}.diff
Patch1:		%{name}-filematch.patch
BuildRoot: 	%{_tmppath}/%{name}-%{version}-build
BuildArch:	noarch

BuildRequires:  glibc-devel libgcc gcc gcc-c++ rrdtool ksh perl-Boulder perl-Net-Patricia perl-ConfigReader perl-HTML-Table perl-Cflow perl
Requires:	perl perl-Boulder perl-Net-Patricia perl-ConfigReader perl-HTML-Table perl-Cflow
%if 0%{?fedora_version} >= 7
BuildRequires: perl-ExtUtils-MakeMaker
%endif

%if 0%{?fedora_version} || 0%{?centos_version} || 0%{?rhel_version}
BuildRequires: perl-rrdtool >= 1.2.23
%endif

%description
FlowScan analyzes and reports on Internet Protocol (IP) flow data exported by routers.
Consisting of Perl scripts and modules, FlowScan binds together
(1) a flow collection engine (a patched version of cflowd),
(2) a high performance database (Round Robin Database - RRD), and
(3) a visualization tool (RRDtool).
FlowScan produces graph images that provide a continuous, near real-time view of the network border traffic.


%prep

%setup -q -n FlowScan-%{version}
%patch0 -p1
%patch1

%build
./configure --prefix=%{_prefix} --libdir=%{_libdir} --mandir=%{_mandir} --sysconfdir=/etc/flowscan --localstatedir=/etc/flowscan
perl Makefile.PL PREFIX=%{_prefix} INSTALLDIRS=vendor
%__make

%install
%__make DESTDIR=%{buildroot} install
mkdir -p %{buildroot}/etc/init.d
mkdir -p %{buildroot}/%{_sbindir}
mkdir -p %{buildroot}/%{_bindir}
mkdir -p %{buildroot}/etc/flowscan
mkdir -p ${RPM_BUILD_ROOT}/var/adm/fillup-templates
install -m 755 %SOURCE1 %{buildroot}/etc/init.d/flowscan
ln -sf ../../etc/init.d/flowscan %{buildroot}/%{_sbindir}/rcflowscan
install -m 755 flowscan %{buildroot}/%{_bindir}/
install -m 755 util/locker %{buildroot}/%{_bindir}/
install -m 755 util/add_ds.pl %{buildroot}/%{_bindir}/
install -m 755 util/add_txrx %{buildroot}/%{_bindir}/
install -m 755 util/event2vrule %{buildroot}/%{_bindir}/
install -m 755 util/ip2hostname %{buildroot}/%{_bindir}/
install -m 644 cf/* %{buildroot}/etc/flowscan/
install -m 644 %{SOURCE2} %{buildroot}/var/adm/fillup-templates
%if 0%{?suse_version}
%perl_process_packlist
%endif
### Clean up buildroot
%{__rm} -rf %{buildroot}%{perl_archlib} \
                %{buildroot}%{perl_vendorarch}/auto/*{,/*{,/*}}/.packlist

%post
%if 0%{?suse_version}
%{fillup_and_insserv flowscan}
%{fillup_only -an flowscan}
%endif

%preun
%if 0%{?suse_version}
%stop_on_removal flowscan
%endif

%postun
%if 0%{?suse_version}
%insserv_cleanup
%endif

%clean
rm -rf $RPM_BUILD_ROOT/*
rm -rf $RPM_BUILD_DIR/%{name}*


%files
%defattr(-,root,root)
%doc CampusIO.html CampusIO.README Changes COPYING INSTALL.html README README.html SubNetIO.html SubNetIO.README TODO INSTALL
%dir /etc/flowscan
%config(noreplace) /etc/flowscan/*
%config /etc/init.d/flowscan
%{_sbindir}/rcflowscan
%{_mandir}/*/*
%{_bindir}/*
%if 0%{?suse_version}
/var/adm/perl-modules/%{name}
%endif
%{perl_vendorlib}/CampusIO.pm
%{perl_vendorlib}/FlowScan.pm
%{perl_vendorlib}/INSTALL.pod
%{perl_vendorlib}/README.pod
%{perl_vendorlib}/SubNetIO.pm
/var/adm/fillup-templates/sysconfig.flowscan


%changelog
* Sat Jan 08 2010 Carsten Schoene <cs@linux-administrator.com> - 1.006-11
- added patch to correct file regex

* Sat May 02 2009 Carsten Schoene <cs@linux-administrator.com> - 1.006-10
- spec file cleanups
- change perl dir from site to vendor

* Mon Feb 23 2007 Carsten Schoene <cs@linux-administrator.com>
- initial package build of version 1.006

